# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

Name:           jcodings
Version:        1.0.36
Release:        %mkrel 1
Summary:        Java-based codings helper classes for Joni and JRuby

Group:          Development/Java
License:        MIT
URL:            https://github.com/jruby/%{name}
Source0:        https://github.com/jruby/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch: noarch

%description
Java-based codings helper classes for Joni and JRuby.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find -name '*.class' -delete
find -name '*.jar' -delete

%mvn_file : %{name}

# Remove pointless parent pom
%pom_remove_parent

# Remove wagon extension
%pom_xpath_remove "pom:build/pom:extensions"

# Remove plugins not relevant for downstream RPM builds
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# Generate OSGi metadata by using bundle packaging
%pom_xpath_inject pom:project "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin "<extensions>true</extensions>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%files javadoc -f .mfiles-javadoc




%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 1.0.36-1.mga8
+ Revision: 1621909
- Update to a version that properly supports JDK 9+
- Modernise specfile
- Add OSGi metadata
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1.0.9-13.mga8
+ Revision: 1490914
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.9-12.mga7
+ Revision: 1262682
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.9-11.mga6
+ Revision: 1102729
- Add missing build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.9-9.mga6
+ Revision: 976453
- First rebuild of the java stack
- sync package jcodings with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-6.mga5
+ Revision: 749108
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.9-4.mga4
+ Revision: 559866
- Build with xmvn
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.0.9-1.mga3
+ Revision: 399137
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-6.mga3
+ Revision: 355267
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 gil <gil> 1.0.2-5.mga2
+ Revision: 162497
- re add m2 pom

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.2-4.mga1
+ Revision: 92536
- Rebuild after bootstrapping
- imported package jcodings


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 09 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.2-2
- Fix the clean up code in the prep section
- Fix typo
- Save changelog

* Thu Jan 28 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.2-1
- 1.0.2
- Remove gcj bits
- New URL
- Update summary and description
- Use macros in all sections of the spec
- Add README.txt generated on the fly

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.1-1
- Bump to 1.0.1 for jruby 1.1.6.

* Wed Dec 17 2008 Conrad Meyer <konrad@tylerc.org> - 1.0-2
- Add gcj bits.

* Fri Nov 28 2008 Conrad Meyer <konrad@tylerc.org> - 1.0-1
- Initial package (needed for jruby 1.1.5 and joni 1.1.1).
